package com.biasi.partyapp.gcm;

import android.widget.Toast;

import com.biasi.partyapp.R;
import com.biasi.partyapp.util.Util;
import com.biasi.partyapp.util.UtilNet;
import com.google.android.gms.gcm.GoogleCloudMessaging;
import com.google.android.gms.iid.InstanceID;
import com.google.android.gms.iid.InstanceIDListenerService;

/**
 * Created by Gabriel de Biasi on 16/07/2015.
 */
public class IDListenerService extends InstanceIDListenerService {

    @Override
    public void onTokenRefresh() {
        try {
            InstanceID id = InstanceID.getInstance(this);
            String token = id.getToken(getString(R.string.gcm_sender_id), GoogleCloudMessaging.INSTANCE_ID_SCOPE);
            Util.getConfigs(this).edit().putString("gcm_id", token).apply();
            UtilNet.registerUser(getApplicationContext(), null, false);
        } catch (Exception e) {
            Toast.makeText(this, R.string.request_error, Toast.LENGTH_SHORT).show();
        }
    }
}
