# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import location_field.models.spatial
from django.contrib.gis.geos import Point


class Migration(migrations.Migration):

    dependencies = [
        ('Party', '0009_auto_20150914_1500'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='festa',
            options={'ordering': ['data']},
        ),
        migrations.AddField(
            model_name='profile',
            name='cidade',
            field=models.IntegerField(default=5003702),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='profile',
            name='location',
            field=location_field.models.spatial.LocationField(default=Point(1.0, 1.0), srid=4326),
        ),
    ]
